/****************************************************************************
 * (C) Nicolas GEORGE 1999                                                  *
 * Ce programme fait partie du projet xbackground.                          *
 * Il est distribu sous les termes de la GNU-GPL, dont un exemplaire doit  *
 * tre joint (si ce n'est pas le cas, vous le trouverez sur www.fsf.org).  *
 * Je ne fournis aucune garantie sur ce programme.                          *
 ****************************************************************************/

typedef struct {
  char *nom;
  int (*lire_chaine)(char *,char *);
  int (*initialiser)(int *,int *);
  void (*calculer)(int,int,XImage *);
} moteur_de_fond;

Display *disp;
Colormap colormap;
Window win;
Pixmap pix;
Visual *vis;
int ls,hs;
XImage *img;
GC gc;
int depth;
int nb_r,nb_v,nb_b;
int nd_r,nd_v,nd_b;
unsigned long *pal;
int nb_col;

moteur_de_fond *moteurs[],*moteur;

/* parse */
void lire_parametres(void);
